Bug 1123310 - Rubygem-staypuft: HA: Resource configuration ordering is very inconsistent around and makes it hard to read the configuration.
Summary: Rubygem-staypuft: HA: Resource configuration ordering is very inconsistent ar...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: Foreman (RHEL 6)
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: Installer
Assignee: Jason Guiditta
QA Contact: Leonid Natapov
URL: https://trello.com/c/mPSqLPQr/272-cle...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 09:40 UTC by Leonid Natapov
Modified: 2016-04-26 17:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-29 14:48:32 UTC


Attachments (Terms of Use)

Description Leonid Natapov 2014-07-25 09:40:56 UTC
Rubygem-staypuft: HA: Resource configuration ordering is very inconsistent around and makes it hard to read the configuration. Consistency is important for debugging and operations.


If you add 2 resources in a certain sequence, pacemaker will display them in that order:
pcs resource create foo1 ...
pcs resource create foo2 ...

pcs status
foo1 ....
foo2 ....

This is simply how objects are serialized into pacemaker config.
Some of the puppet modules do add IP and service, others create VIP in another module and then the service.
So the final config is all mixed up by:
VIP1
VIP2
VIP3
service1
service2
VIP4
service4
service3

Comment 1 Fabio Massimo Di Nitto 2014-07-25 14:07:43 UTC
This bug has no operational impact. It only makes GSS/support life harder.


Note You need to log in before you can comment on or make changes to this bug.